#ifndef _OOS_SDK_C_DEFINE_H_
#define _OOS_SDK_C_DEFINE_H_

#include <apr_strings.h>
#include <apr_pools.h>
#include <apr_tables.h>


typedef apr_pool_t oos_pool_t;

#define oos_initialize()  apr_initialize()
#define oos_terminate() apr_terminate()
#define oos_pool_create(n, p) apr_pool_create(n, p)
#define oos_pool_destroy(p) apr_pool_destroy(p)
#define oos_palloc(p, s) apr_palloc(p, s)
#define oos_pcalloc(p, s) apr_pcalloc(p, s)

typedef int oos_bool;
#define OOS_TRUE    1
#define OOS_FALSE   0

typedef apr_table_t oos_table_t;
typedef apr_table_entry_t oos_table_entry_t;
typedef apr_array_header_t oos_array_header_t;
#define oos_table_elts(t) apr_table_elts(t)

#define oos_table_make(p, n) apr_table_make(p, n)
#define oos_table_set(t, key, value) apr_table_set(t, key, value)
#define oos_table_clone(p, t) apr_table_clone(p, t)
#endif
