
#include <assert.h>
#include <stdlib.h>
#include <string.h>
#include "response.h"
#include "buffer.h"

#define BUFFER_PIECE_SIZE       64
#define BUFFER_MAX_REUSE_SIZE   (4 * 1024)
#define CONTENT_PIECE_SIZE      512000

response * response_init(oos_pool_t *p) {
    return (response*)buffer_init(p);
}

void response_free(response* resp) {
    buffer_free(resp);
}

